Represents a Customer Ledger Entries in SOFT4Spaces.
Note
For information about enabling APIs for Business Central see Overview.
API endpoint
| API | Path |
| custLedgerEntries | https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/custLedgerEntries |
Methods
| Method | Return Type | Description |
| GET custLedgerEntries | custLedgerEntries | Gets a cust. ledger entry object. |
GET custLedgerEntries
Description
Retrieves an existing cust. ledger entries records from Business Central.
HTTP Request
GET
https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/custLedgerEntries
Request Headers
| Header | Value |
| Authorization | NTLM, OAuth2. Required. |
| Accept | application/json |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the cust. ledger entries records.
Example Response
JSON
|
{ "id": "193e126b-4303-ed11-82f8-0022489ab23d", "entryNo": 3, "postingDate": "2022-07-14", "customerNo": "N00004", "postingGroup": "DOMESTIC", "leaseContractNo": "NS00002", "dueDate": "2022-07-28", "amount": 1320, "remainingAmount": 0, "documentType": "Invoice", "documentNo": "103001", "currencyCode": "", "documentExist": true, "dateFilter": "", "InvoiceBlobText": “JVBERi0xLjcNJcjIyMjIyMgNJSAgIAoxIDAgb2JqClsvUERGL1RleHQvSW1hZ2VCL0ltYWdlQy9JbWFnZU” } |
GET custLedgerEntries
Description
Retrieves an existing cust. ledger entry from Business Central.
HTTP Request
GET
https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/custLedgerEntries({{custLedgerEntry_ID}})
Request Headers
| Header | Value |
| Authorization | NTLM, OAuth2. Required. |
| Accept | application/json |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the cust. ledger entry record.
Example Response
JSON
|
{ "id": "f6cfe3c4-6195-f011-b419-6045bde16d32", "entryNo": 245, "postingDate": "2024-11-20", "customerNo": "N00005", "postingGroup": "DOMESTIC", "leaseContractNo": "NS0001", "dueDate": "2024-06-21", "amount": -74.78, "remainingAmount": 0, "documentType": "Credit_x0020_Memo", "documentNo": "104011", "currencyCode": "", "documentExist": true, "dateFilter": "", "InvoiceBlobText": “JVBERi0xLjcNJcjIyMjIyMgNJSAgIAoxIDAgb2JqClsvUERGL1RleHQvSW1hZ2VCL0ltYWdlQy9JbWFnZUldDQplbmRvYmoKMiAwIG9iago8PC9UeXBlL1BhZ2UvUGFyZW50IDExIDAg” } |
Properties
| Property | Type | Description |
| id | GUID | The unique ID of the lease contract. Non-editable. |
| entryNo | integer | Specifies the number of the customer ledger entry. |
| postingDate | date | Specifies the posting date of the customer ledger entry. |
| customerNo | string | Specifies the customer number. |
| postingGroup | string | Specifies the customer posting group. |
| leaseContractNo | string | The lease contract number. |
| dueDate | date | Specifies the due date of the customer ledger entry. |
| amount | decimal | Specifies the amount of the customer ledger entry. |
| remainingAmount | decimal | Specifies the remaining amount of the customer ledger entry. |
| documentType | string | Specifies the document type. It can be: Payment, Invoice, Credit Memo, Finance Charge Memo, Reminder, Refund. |
| documentNo | string | Specifies the document number. |
| currencyCode | string | Specifies the document's currency. |
| documentExist | boolean | Specifies whether the document actually exists, like Sales Invoice, Sales Credit Memo. |
| dateFilter | string | Specifies the date filter. |
| InvoiceBlobText | string | Specifies the Sales Invoice or Sales Credit Memo PDF file encoded in Base64. |
JSON Representation
|
{ "id": "GUID", "entryNo": integer, "postingDate": date, "customerNo": string, "postingGroup": string, "leaseContractNo": string, "dueDate": date, "amount": decimal, "remainingAmount": decimal, "documentType": string, "documentNo": string, "currencyCode": string, "documentExist": boolean, "dateFilter": string, "InvoiceBlobText": string } |